Subject: bug#74547: 31.0.50; igc: assertion failed in buffer.c

From: Gerd Möllmann <[email-masked]>
Date: Sun, 01 Dec 2024 13:17:39 +0100

Gerd Möllmann <[email-masked]> writes:

> Pip Cet <[email-masked]> writes:
>
>> I think it's unlikely this particular vector is a closure, FWIW, because
>> the first slot of a closure vector is always a fixnum.
>
> I agree.
>
> I've now checked all the possible PVEC types, and the only ones that fit
> size 6 are normal vectors, closures, or records. I also don't believe
> that it's a closure because of the fixnum. And records (SQLite) seem a
> bit unlikely.

Hm, reading Oscar's report again - he was using LSP. Maybe it's
something in the parser.